> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get facets

> Retrieves the list of Facet Definition



## OpenAPI

````yaml /openapi/openapi_catalog_admin.json get /commerce/catalog/admin/facets
openapi: 3.0.1
info:
  description: |-
    <div id="overview_CATALOG_ADMIN">
                <h2>CATALOG ADMINISTRATION</h2>
                <p>The Catalog Administration APIs are a collection of resources for configuring the catalogs and products offered to your shoppers, including
                    discounts and coupon sets, faceting, price lists, and different types or variations of products. See the
                    <a href="/concept-guides/catalog">Catalog user guides</a>
                    for information about the related features in the Unified Commerce Admin.</p>
                <p>Use the <strong>Attributes</strong> resource to manage localization and attribute configurations for your catalogs. This current version of the Attributes API includes localizedContent to
                    support <a href="/pages/catalog-structure#multi-locale-catalogs">multi-locale catalogs</a>, which was not present in the legacy API model. If
                    you were a client prior to May 2024 and have upgraded your implementation to support this feature,
                    you can still access attribute data that has not yet been rewritten to the new model by providing
                    an x-api-version header set to "1". </p>
                <p>Use the <strong>Categories</strong> resource to organize products and control where they appear on the storefront. Create
                    and maintain a hierarchy of categories and subcategories where the site will store properties. This current version of the Categories API includes localizedContent to
                    support <a href="/pages/catalog-structure#multi-locale-catalogs">multi-locale catalogs</a>, which was not present in the legacy API model. If
                    you were a client prior to May 2024 and have upgraded your implementation to support this feature,
                    you can still access category data that has not yet been rewritten to the new model by providing
                    an x-api-version header set to "1". </p>
                <p>Use the <strong>Coupon Sets</strong> resource to view and create coupon sets. You can use coupon sets to group multiple
                    coupon codes together and associate them with one or more discounts.</p>
                <p>Use the <strong>Currency</strong> resource to manage the currency localization rules and exchange rates for any of the
                    currencies that are supported for placing orders in.</p>
                <p>Use the <strong>Discounts</strong> and <strong>Discount Settings</strong> resources to define and manage discounts to apply to products, product categories, or
                    orders. This current version of the Discounts API includes localizedContent to
                    support <a href="/pages/catalog-structure#multi-locale-catalogs">multi-locale catalogs</a>, which was not present in the legacy Products API model. If
                    you were a client prior to May 2024 and have upgraded your implementation to support this feature,
                    you can still access discount data that has not yet been rewritten to the new model by providing
                    an x-api-version header set to "1". </p>
                <p>Use the <strong>Facets</strong> resource to manage the facets shoppers use to filter product display results on a
                    storefront. Facets can include categories, product attributes, or prices, and use either a range of
                    values or discrete values.</p>
                <p>Use the <strong>Master Catalog</strong> resource to view details of the master catalogs associated with a tenant and to
                    manage the product publishing mode for each master catalog.</p>
                <p>Use the <strong>Price Lists</strong> resources to view and create price lists. You can use price lists to override the
                    catalog pricing of products for specific customer segments and/or sites.</p>
                <p>Use the <strong>Products</strong>, <strong>Product Types/Extras/Options/Properties</strong>, and <strong>Product Sort Definitions</strong> resources to create new product definitions in the master catalog and determine which
                    catalogs will feature products. This current version of the Products API includes localizedContent to
                    support <a href="/pages/catalog-structure#multi-locale-catalogs">multi-locale catalogs</a>, which was not present in the legacy Products API model. If
                    you were a client prior to May 2024 and have upgraded your implementation to support this feature,
                    you can still access product data that has not yet been rewritten to the new model by providing
                    an x-api-version header set to "1".</p>
                <p>Use the <strong>Publishing</strong> resource to publish pending product updates together as part of a set.</p>
                <p>Use the <strong>Search</strong> resource to manage all settings and options for providing product search on your site, as
                    well as search tuning rules.</p>
            </div>
  title: Catalog Admin
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/catalog/admin/facets:
    get:
      tags:
        - Facets
      summary: Get facets
      description: Retrieves the list of Facet Definition
      parameters:
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FacetCollection'
            text/json:
              schema:
                $ref: '#/components/schemas/FacetCollection'
            text/plain:
              schema:
                $ref: '#/components/schemas/FacetCollection'
          description: OK
components:
  schemas:
    FacetCollection:
      properties:
        items:
          items:
            $ref: '#/components/schemas/CatalogAdminsFacet'
          nullable: true
          type: array
        pageCount:
          format: int32
          type: integer
        pageSize:
          format: int32
          type: integer
        startIndex:
          format: int32
          type: integer
        totalCount:
          format: int32
          type: integer
      type: object
    CatalogAdminsFacet:
      description: The definition of a Facet
      properties:
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        categoryCode:
          description: The category that the facet is being configured at
          nullable: true
          type: string
        categoryId:
          description: The category that the facet is being configured at
          format: int32
          nullable: true
          type: integer
        facetId:
          description: The unique identifier for the facet definition
          format: int32
          nullable: true
          type: integer
        facetType:
          description: "The type of facet. Allowable values are: Value, RangeQuery \r\nMust be a valid value for DataType defined in FacetTypeConst."
          nullable: true
          type: string
        isHidden:
          description: Indicates whether the facet is hidden for the given category
          type: boolean
        order:
          description: Used to order the display of the facets within a section
          format: int32
          type: integer
        overrideFacetId:
          description: The ID of a parent category's facet being overriden
          format: int32
          nullable: true
          type: integer
        rangeQueries:
          description: List of ranges if the Facet is of type Range
          items:
            $ref: '#/components/schemas/FacetRangeQuery'
          nullable: true
          type: array
        source:
          $ref: '#/components/schemas/FacetSource'
        validity:
          $ref: '#/components/schemas/FacetValidity'
        valueSortType:
          description: "Determines how the facet values will be sorted in the store. \r\nMust be a valid value for DataType defined in FacetValueSortTypeConst. \r\nAllowable values are: CountAscending, CountDescending, ValuesAscending, ValuesDescending, AttributeDefinition, AttributeDefinitionDescending.\r\nThe default if no value is specified will be CountDescending."
          nullable: true
          type: string
      type: object
    AdminUserAuditInfo:
      properties:
        createBy:
          nullable: true
          type: string
        createDate:
          format: date-time
          nullable: true
          type: string
        updateBy:
          nullable: true
          type: string
        updateDate:
          format: date-time
          nullable: true
          type: string
      type: object
    FacetRangeQuery:
      properties:
        rangeValueEnd:
          nullable: true
        rangeValueStart:
          nullable: true
      type: object
    FacetSource:
      properties:
        allowsRangeQuery:
          description: >-
            Read-only system-generated indicator of whether the source field
            supports RangeQuery type facets.
          type: boolean
        dataType:
          description: >-
            Read-only system-generated DataType of the Attribute or Element
            source field. Will be valid value for DataType defined in
            DataTypeConst.
          maxLength: 20
          nullable: true
          type: string
        id:
          description: Name of field, or FQN of attribute
          nullable: true
          type: string
        name:
          description: Read-only system-generated label for the source field.
          nullable: true
          type: string
        type:
          description: "The type of source field used by the facet. Allowable values are: Element, Attribute. \r\nMust be a valid value for DataType defined in FacetFieldTypeConst."
          nullable: true
          type: string
      type: object
    FacetValidity:
      properties:
        isValid:
          type: boolean
        reasonCode:
          nullable: true
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````